import {httpApi} from "../../../request/httpApi";

export default {
    //分页条件查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/use/page',
            method: 'get',
            params: form
        }, msg);
    },
    //新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/use/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //批量删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/use/remove',
            method: 'get',
            params: form
        }, msg);
    },
    //批量打印Pdf
    async exportPdf(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/use/print-pdf',
            method: 'post',
            params: form
        }, msg);
    },
    //导入数据保存
    async samplingRecord(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/device/use/import-batch',
            method: 'post',
            data: form
        }, msg);
    },
}
